export async function onRequestGet(context: RequestContext) {
  return new Response(
    `<!DOCTYPE html>
    <html lang="en">
      <head>
        <title>WebView Captcha</title>
        <script async defer src="https://challenges.cloudflare.com/turnstile/v0/api.js"></script>
      </head>
      <body>
        <div class="cf-turnstile" data-callback="returnToken" data-error-callback="handleError" data-sitekey="${context.env.TURNSTILE_SITEKEY}"></div>
        <script>
          function handleError(_error) {
            window.flutter_inappwebview.callHandler("onToken", null);
          }

          function returnToken(token) {
            window.flutter_inappwebview.callHandler("onToken", token);
          }
        </script>
      </body>
    </html>`,
    {
      headers: {
        "content-type": "text/html",
      },
    },
  );
}
